Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Critical Critical
    • Resolution: Fixed
    • Affects Version/s: 1.1.0
    • Fix Version/s: 1.2.0
    • Component/s: builders
    • Labels:
      None
    • Number of attachments :
      2

      Description

      Don't work autocomplete in Intellij IDEA. Auto go to declaration don't work.

      I wrote 'griffon integrate-with --intellij', but it's don't work.

      Thank u.

      1. app.PNG
        22 kB
      2. ??????.PNG
        35 kB

        Activity

        Hide
        Andres Almiray added a comment -

        Just to get a clear understanding of what has happened so far:
        1. creating an application using IDEA's Griffon support results in no code completion at all
        2. calling `griffon integrate-with --idea`from the command line results in basic code completion working in the IDE
        3. some methods don't expose all parameters that they're able to handle

        Show
        Andres Almiray added a comment - Just to get a clear understanding of what has happened so far: 1. creating an application using IDEA's Griffon support results in no code completion at all 2. calling `griffon integrate-with --idea`from the command line results in basic code completion working in the IDE 3. some methods don't expose all parameters that they're able to handle
        Hide
        Sofia Sun added a comment - - edited

        Hello. I'm sorry for my English skill.
        Yes, autocomplete don't work.
        If I tried to get parameters of method, that I get message "No parameters".

        Show
        Sofia Sun added a comment - - edited Hello. I'm sorry for my English skill. Yes, autocomplete don't work. If I tried to get parameters of method, that I get message "No parameters".
        Show
        Andres Almiray added a comment - Fixed with https://github.com/griffon/griffon-swing-plugin/commit/a3936fb879f58884d3e2b241ce8d1812f3164502 https://github.com/griffon/griffon/commit/76cffeff9e7e1f1b848df2b42410ac5c23ccfe3f
        Hide
        Sofia Sun added a comment -

        Thank you very much.
        But I checked out griffon from git, I got old swing plugin (1.1.0) and I tried istall new plugin from (install-pugin), I got old version too.
        So, I tried intstall griffon from git repository with gradle, got Exception - html2java (from doc). I could show trace, but I guess You know)

        Thank You Very Much.

        I really love Griffon!

        Show
        Sofia Sun added a comment - Thank you very much. But I checked out griffon from git, I got old swing plugin (1.1.0) and I tried istall new plugin from (install-pugin), I got old version too. So, I tried intstall griffon from git repository with gradle, got Exception - html2java (from doc). I could show trace, but I guess You know) Thank You Very Much. I really love Griffon!
        Hide
        Andres Almiray added a comment -

        Sofia, the fix will only work with Griffon 1.2.0 and swing-plugin 1.2.0, both still unreleased.
        Will publish a release next January.

        Show
        Andres Almiray added a comment - Sofia, the fix will only work with Griffon 1.2.0 and swing-plugin 1.2.0, both still unreleased. Will publish a release next January.

          People

          • Assignee:
            Andres Almiray
            Reporter:
            Sofia Sun
          • Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: